#pragma once

#include "CoreMinimal.h"
#include "DamageData.generated.h"

class ADBDPlayer;

USTRUCT(BlueprintType)
struct FDamageData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	bool _damagedWithoutChangingRegressionState;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	bool _isRegressing;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	bool _isIntense;

	UPROPERTY(EditInstanceOnly, Transient)
	TWeakObjectPtr<ADBDPlayer> _lastDamageChangeSource;

public:
	DEADBYDAYLIGHT_API FDamageData();
};

FORCEINLINE uint32 GetTypeHash(const FDamageData) { return 0; }
